#
# spec file for package perl-Locale-Msgfmt
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Locale-Msgfmt
Version:        0.15
Release:        11.5
Summary:        Compile .po files to .mo files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/A/AZ/AZAWAWI/Locale-Msgfmt-%{version}.tar.gz
Url:            http://search.cpan.org/dist/Locale-Msgfmt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl = %{perl_version}
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(File::Spec) >= 0.80
BuildRequires:  perl(Test::More) >= 0.47
Requires:       perl(File::Spec) >= 0.80

%description
This module does the same thing as msgfmt from GNU gettext-tools, except this
is pure Perl.

%prep
%setup -q -n "Locale-Msgfmt-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Locale
%{perl_vendorlib}/Locale/Msgfmt.pm
%{perl_vendorlib}/Locale/Msgfmt
%dir %{perl_vendorlib}/Module
%dir %{perl_vendorlib}/Module/Install
%{perl_vendorlib}/Module/Install/Msgfmt.pm
%dir %{perl_vendorarch}/auto/Locale
%{perl_vendorarch}/auto/Locale/Msgfmt
%doc %{perl_man3dir}/Locale::Msgfmt.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Locale::Msgfmt::*.%{perl_man3ext}%{ext_man}

%changelog
* Sun Dec 26 2010 pascal.bleser@opensuse.org
- initial package (0.15)
